<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDeviceEditorNavigator: Common Actions Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwAction.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2"><br>
This panel is used to perform some actions that are common to all
Framework devices. The actions can be performed either on the device
passed as parameter and all the hardware or logical hierarchy below it,
or only on the device passed as parameter.<br>
      <br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><br>
The following actions can be performed for a single device:<br>
      <ul>
        <li>Enable: [not available yet, being defined at FWWG]<br>
        </li>
        <li>Disable: [not available yet, being defined at FWWG]</li>
        <li>Mask: will mask all the alarms that have been defined for
the device (set alarms to not active in PVSS terminology) and are
declared in the correspondent device definition. The alarm conditions
will still be evaluated, but the alarm will not be raised when the
conditions are met.<br>
        </li>
        <li>Unmask: will unmask all the alarms that have been defined
for the device (set alarms to active in PVSS terminology) and are
declared in the correspondent device definition. An alarm will be
raised when the conditions are met.<br>
        </li>
        <li>Acknowledge: will acknowledge all the active alarms that
require acknowledgment.<br>
        </li>
      </ul>
To apply the actions also to the hierarchy below the device, use the 'Mask all', 'Unmask all', and 'Acknowledge all' buttons.<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table align="center" border="0">
  <tbody>
    <tr>
      <td>
      <div align="center"><a name="Figure_1"></a><img alt=""
 src="fwAction.png"><br>
Figure 1. Common actions panel.<br>
      </div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td>Name of the device where the configuration will be changed.</td>
      <td>Required<br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">$sHierarchyType</td>
      <td style="vertical-align: top;">Type of hierarchy where the
panel is open. If no value is
specified, then fwDevice_HARDWARE is taken as default value.</td>
      <td style="vertical-align: top;">Optional</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
